Bug 149213 - Segmentation fault if background process killed
Segmentation fault if background process killed
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: bash (Show other bugs)
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
: 149103 151939 (view as bug list)
Depends On:
Blocks: 143573
  Show dependency treegraph
Reported: 2005-02-21 06:49 EST by Karel Zak
Modified: 2007-11-30 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2005-206
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-13 15:44:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karel Zak 2005-02-21 06:49:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
.qa.[root@ia64-21as root]# echo $$
.qa.[root@ia64-21as root]# bash
.qa.[root@ia64-21as root]# echo $$
.qa.[root@ia64-21as root]# vmstat 1 &> /dev/null &
[1] 10980
.qa.[root@ia64-21as root]# kill 10980
Segmentation fault
.qa.[root@ia64-21as root]# echo $$

It's ia64 and AS2.1 specific and it isn't "kill" problem, because it happen with the "killall" command too. If you try same things with "zsh" it work as expected.

It's real problem for administartors:

.qa.[root@ia64-21as root]# kill 11045
Connection to ia64-21as.test.redhat.com closed.

... it destroys your session :-(((

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 James Laska 2005-02-21 07:51:30 EST
*** Bug 149103 has been marked as a duplicate of this bug. ***
Comment 3 Tim Waugh 2005-02-21 12:10:06 EST
Is this a regression since 2.1 release?
Comment 5 Tim Waugh 2005-03-02 18:53:42 EST
I've verified for myself that this is a regression since 2.1 release.

Also, this is a duplicate.

*** This bug has been marked as a duplicate of 147573 ***
Comment 7 Tim Waugh 2005-03-24 11:34:14 EST
*** Bug 151939 has been marked as a duplicate of this bug. ***
Comment 12 Red Hat Bugzilla 2006-03-13 15:44:49 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.